Loading...
Searching...
No Matches
CLI::detail::pair_adaptor< T, _ > Struct Template Reference

Adaptor for set-like structure: This just wraps a normal container in a few utilities that do almost nothing. More...

`#include <TypeTools.hpp>`

Inheritance diagram for CLI::detail::pair_adaptor< T, _ >:

## Public Types

using | value_type = typename T::value_type
using | first_type = typename std::remove_const<value_type>::type
using | second_type = typename std::remove_const<value_type>::type

## Static Public Member Functions

template<typename Q>
static auto | first (Q &&pair_value) -> decltype(std::forward< Q >(pair_value))
| Get the first value (really just the underlying value).
template<typename Q>
static auto | second (Q &&pair_value) -> decltype(std::forward< Q >(pair_value))
| Get the second value (really just the underlying value).

## Detailed Description

template<typename T, typename _ = void>
struct CLI::detail::pair_adaptor< T, _ >

Adaptor for set-like structure: This just wraps a normal container in a few utilities that do almost nothing.

## Member Typedef Documentation

## first_type

template<typename T, typename _ = void>

using CLI::detail::pair_adaptor< T, _ >::first_type = typename std::remove_const<value_type>::type

## second_type

template<typename T, typename _ = void>

using CLI::detail::pair_adaptor< T, _ >::second_type = typename std::remove_const<value_type>::type

## value_type

template<typename T, typename _ = void>

using CLI::detail::pair_adaptor< T, _ >::value_type = typename T::value_type

## Member Function Documentation

## first()

template<typename T, typename _ = void>
template<typename Q>

auto CLI::detail::pair_adaptor< T, _ >::first | ( | Q && | pair_value | ) | ->decltype(std::forward< Q >(pair_value))

inline static

Get the first value (really just the underlying value).

## second()

template<typename T, typename _ = void>
template<typename Q>

auto CLI::detail::pair_adaptor< T, _ >::second | ( | Q && | pair_value | ) | ->decltype(std::forward< Q >(pair_value))

inline static

Get the second value (really just the underlying value).

The documentation for this struct was generated from the following file:

- include/CLI/TypeTools.hpp